com.fasterxml.jackson.dataformat.protobuf.schema

## Class TypeResolver

- java.lang.Object
- - com.fasterxml.jackson.dataformat.protobuf.schema.TypeResolver

-     public class TypeResolver
      extends Object

  Stateful class needed to properly resolve type definitions of protobuf message (and related types); some complexity coming from possible nested nature of definitions.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TypeResolver(TypeResolver p, Map<String,com.squareup.protoparser.MessageElement> nativeMsgs, Map<String,ProtobufEnum> enums)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static ProtobufEnum` | `_constructEnum(com.squareup.protoparser.EnumElement nativeEnum)`
    `protected ProtobufMessage` | `_resolve(com.squareup.protoparser.MessageElement rawType)`
    `static TypeResolver` | `construct(Collection<com.squareup.protoparser.TypeElement> nativeTypes)`
    `protected static TypeResolver` | `construct(TypeResolver parent, Collection<com.squareup.protoparser.TypeElement> nativeTypes)`
    `ProtobufMessage` | `resolve(com.squareup.protoparser.MessageElement rawType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeResolver

          protected TypeResolver(TypeResolver p,
                      Map<String,com.squareup.protoparser.MessageElement> nativeMsgs,
                      Map<String,ProtobufEnum> enums)

  - ### Method Detail

    - #### construct

          public static TypeResolver construct(Collection<com.squareup.protoparser.TypeElement> nativeTypes)

    - #### construct

          protected static TypeResolver construct(TypeResolver parent,
                               Collection<com.squareup.protoparser.TypeElement> nativeTypes)

    - #### _constructEnum

          protected static ProtobufEnum _constructEnum(com.squareup.protoparser.EnumElement nativeEnum)

    - #### resolve

          public ProtobufMessage resolve(com.squareup.protoparser.MessageElement rawType)

    - #### _resolve

          protected ProtobufMessage _resolve(com.squareup.protoparser.MessageElement rawType)

Copyright © 2017 FasterXML. All rights reserved.